import { Tooltip as TooltipPrimitive } from "@base-ui/react/tooltip";
import type { ReactElement, ReactNode } from "react";
declare function TooltipProvider({ delay, ...props }: TooltipPrimitive.Provider.Props): import("react").JSX.Element;
declare function Tooltip({ ...props }: TooltipPrimitive.Root.Props): import("react").JSX.Element;
declare function TooltipTrigger({ ...props }: TooltipPrimitive.Trigger.Props): import("react").JSX.Element;
declare function TooltipContent({ className, side, sideOffset, align, alignOffset, children, collisionPadding, portalProps, ...props }: TooltipPrimitive.Popup.Props & Pick<TooltipPrimitive.Positioner.Props, "align" | "alignOffset" | "side" | "sideOffset" | "collisionPadding"> & {
    portalProps?: TooltipPrimitive.Portal.Props;
}): import("react").JSX.Element;
declare function withTooltip(trigger: ReactElement, content?: ReactNode, portalContainer?: HTMLElement): import("react").JSX.Element;
export { Tooltip, TooltipTrigger, TooltipContent, TooltipProvider, withTooltip, };
